Tag
Get tag tree structure
GET /tag/tree
GET /tag/tree
Retrieve a hierarchical tree structure of all tags
Query parameters
typeenumqueryShow only tags of a specific type. If not set, shows all tags.
includeDisabledbooleanqueryAlso include disabled tags
Responses
200 — Successful operation
Response Example
[
{
"id": 123,
"name": "Complaint",
"fullName": "Second Level: Complaint",
"parent": 6,
"reference": "ticket",
"type": "skill",
"visibility": "public",
"color": "grey",
"properties": [],
"complexity": "moderate",
"sla": 8,
"priority": "do-not-change",
"routingRelevance": true,
"assignment": [
"assignBySubchannel",
"assignByCustomLogic"
],
"testCase": null,
"modifiedBy": "John Doe",
"modifiedAt": "2024-08-29 14:38:12",
"children": [
{
"id": 123,
"name": "Complaint",
"fullName": "Second Level: Complaint",
"parent": 6,
"reference": "ticket",
"type": "skill",
"visibility": "public",
"color": "grey",
"properties": [],
"complexity": "moderate",
"sla": 8,
"priority": "do-not-change",
"channels": [
"email",
"chat"
],
"subchannels": [
2,
4
],
"routingRelevance": true,
"detectionDetails": null,
"assignment": [
"assignBySubchannel",
"assignByCustomLogic"
],
"testCase": null,
"modifiedBy": "John Doe",
"modifiedAt": "2024-08-29 14:38:12"
}
]
}
]403 — Unauthorized
500 — Internal error